%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-dmr
Version:          1.3.0
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBoss DMR
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-dmr
Source0:          https://github.com/jbossas/jboss-dmr/archive/%{namedversion}.tar.gz
# pre-generated with JDK7:
# JAVA_HOME=/path/to/jdk7/ mvn clean generate-resources
# cp target/generated-sources/apt/org/jboss/dmr/* src/main/java/org/jboss/dmr/
# git add src/main/java/org/jboss/dmr/*.java
# git commit -m 'Add pre-generated Java classes' && git format-patch -1
Patch0:           0001-Add-pre-generated-Java-classes.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.google.code.cookcc:cookcc)
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss.apiviz:apiviz:pom:)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)

%description
This package contains the Dynamic Model Representation.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

%pom_remove_plugin :apt-maven-plugin
%pom_remove_plugin :maven-antrun-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Sat May 13 2017 neoclust <neoclust> 1.3.0-1.mga6
+ Revision: 1100739
- imported package jboss-dmr


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

